Class | RSS::Maker::RSS09::Image
In: | rss/maker/dublincore.rb rss/maker/0.9.rb
Parent: | Object

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/0.9.rb, line 148
            def have_required_values?
              @url and @title and link
            end

to_rss(rss)

[Source]

    # File rss/maker/0.9.rb, line 138
            def to_rss(rss)
              image = Rss::Channel::Image.new
              set = setup_values(image)
              if set
                image.link = link
                rss.channel.image = image
                setup_other_elements(rss)
              end
            end

[Validate]